<template>
  <h1 class="text-2xl mt-2">{{ section.title }}</h1>
  <div v-for="question in questions" class="mt-4" :key="question.name">
    <SingleChoice
      v-if="question?.type == defineType.single"
      :question="question"
      :handleUserAnswer="handleUserAnswer"
      :user-answers="userAnswers"
      :isContact="section.name === 'contact'"
    />
    <MultiChoice
      v-else-if="question?.type == defineType.multi"
      :question="question"
      :user-answers="userAnswers"
      :handleUserAnswer="handleUserAnswer"
      :isContact="section.name === 'contact'"
    />
    <ContactInfo
      v-else-if="question.type !== defineType.sing && question.type !== defineType.multi"
      :question="question"
      :user-answers="userAnswers"
      :handleUserAnswer="handleUserAnswer"
      :isContact="section.name === 'contact'"
    />
  </div>
</template>

<script setup>
import { defineType } from '../data'
import ContactInfo from './ContactInfo.vue'
import MultiChoice from './MultiChoice.vue'
import SingleChoice from './SingleChoice.vue'

const props = defineProps({
  section: {
    type: Object
  },
  questions:{
    type:Array
  },
  userAnswers: {
    type: Array
  },
  handleUserAnswer: {
    type: Function
  }
})


</script>
